package code

var (
	OK                         int32 = 0     // is ok
	Error                      int32 = 1     // error
	PIDError                   int32 = 10000 // pid错误
	LoginError                 int32 = 10201 // 登录异常
	AccountAuthFail            int32 = 10202 // 帐号授权失败
	AccountBindFail            int32 = 10203 // 帐号绑定失败
	AccountTokenValidateFail   int32 = 10204 // token验证失败
	AccountNameIsExist         int32 = 10205 // 帐号已存在
	AccountRegisterError       int32 = 10206 //
	AccountGetFail             int32 = 10207 //
	ActivityNotOpenError       int32 = 10208 // 活动不存在
	PassWordIsExist            int32 = 10209 //已设置过密码
	PassWordIsError            int32 = 10210 //钱包密码错误
	PassWordTooManyErrors      int32 = 10211 //密码错误次数过多请24小时后在尝试
	PassWordSettingError       int32 = 10212 //密码设置错误
	PasswordInconsistencyError int32 = 10213 //两次密码输入不一致

	PlayerDenyLogin             int32 = 10301 // 玩家禁止登录
	PlayerDuplicateLogin        int32 = 10302 // 玩家重复登录
	PlayerNameExist             int32 = 10303 // 玩家角色名已存在
	PlayerCreateFail            int32 = 10304 // 玩家创建角色失败
	PlayerNotLogin              int32 = 10305 // 玩家未登录
	PlayerIdError               int32 = 10306 // 玩家id错误
	PlayerItemNumError          int32 = 10307 // 玩家物品不够
	PlayerSignInError           int32 = 10308 // 玩家重复签到
	InviteEmpoweringOthersError int32 = 10309 // 已为他人助力
	XAccountAlreadyExistsError  int32 = 10310 // 已绑定账号
	TonWallAlreadyExistsError   int32 = 10311 // tonwall已绑定账号
	NotEnoughItemsError         int32 = 10312 //物品不够
	TonWallNotExistsError       int32 = 10313 // 未绑定钱包

	// webadmin
	ParamError                      int32 = 16001 // 参数错误
	InternalError                   int32 = 16002 // 内部错误
	DisabledUserError               int32 = 16003 // 用户被禁用
	UserNameOrPasswordError         int32 = 16004 // 用户名或者密码错误
	AccountExistError               int32 = 16005 // 帐号已存在
	RoleNameExistError              int32 = 16006 // 角色名称已存在
	RoleNotExistError               int32 = 16007 // 角色不存在
	AccessNotExistError             int32 = 16008 // 权限不存在
	AccessExistError                int32 = 16009 // 权限已存在
	AccessHasUsedError              int32 = 16010 // 权限已被角色使用，无法删除
	NoAccessError                   int32 = 16011 // 没有权限
	RoleNotExistOrDisabledUserError int32 = 16012 // 角色不存在,或者已经被禁用
	AdminNotExistError              int32 = 16013 // 管理员不存在
	AdminMustNotUpdateError         int32 = 16014 // admin-超级账户不能修改角色
	UnauthorizedError               int32 = 16015 // token验证失败
	ForbiddenError                  int32 = 16016 // Ip 禁用
	AccountNotExistError            int32 = 16017 // 帐号不存在
	RoleNameNotExistError           int32 = 16018 // 角色名称不存在
)
