package constant

const (
	GameNodeType  = "game"
	Token         = "Token"
	RankKey       = "rank"
	PlayerBaseKey = "playerBase"

	DrawHourKey   = "DrawHour"
	DrawDailyKey  = "drawDaily"
	DrawWeeklyKey = "drawWeekly"

	InviteKey = "Invite"

	PlayerDailyKey      = "PlayerDaily"
	PlayerStatHKey      = "PlayerStat"
	PlayerLevelStatHKey = "PlayerLevelStat"
	ServerLoadHKey      = "ServerLoad"
	PlayerIpRecordKey   = "PlayerIpRecord"

	MoneyRatio = 10000000

	AdminAccess = "admin"
)

// 游戏表名
const (
	CNameAccount               = "account"           // 账号
	CNamePlayer                = "player"            // 玩家
	CNamePlayerReward          = "playerReward"      // 玩家奖励
	CNamePlayerDailyRecord     = "playerDailyRecord" // 玩家每日记录
	CNameCashOutRecord         = "cashOutRecord"     // 提现记录
	CNamePlayerLevelStat       = "playerLevelStat"   // 玩家等级统计
	CNameServerLoadStat        = "serverLoadStat"    // 服务器负载统计
	CNamePlayerCountryByIPStat = "playerCountryStat" //    玩家注册国家统计
)

// 榜单数据来源类型

const (
	RankSourceScore  = 1 // 积分
	RankSourceInvite = 2 // 邀请
	RankSourceRoll   = 3 // 抽奖次数
)

// roll 结果类型
const (
	RollSmallBet         = 0 // <9
	RollBigBet           = 1 // >=9
	RollDoubleBet        = 2 // 对子
	RollTripleBet        = 3 // 豹子2345
	RollSpecialTripleBet = 4 // 豹子16
)
