package models

// Whitelist ip白名单
type Whitelist struct {
	Id        string `gorm:"column:id;primaryKey" json:"id" bson:"_id"`
	IP        string `json:"ip" bson:"ip"` // Ip
	Desc      string `gorm:"column:desc;comment:描述" json:"desc" bson:"desc"`
	CreatedAt int64  `gorm:"column:created_at;autoCreateTime" json:"created_at" bson:"created_at"`
	DeletedAt int64  `gorm:"column:deleted_at;" json:"deleted_at" bson:"deleted_at"`
}

func (w *Whitelist) TableName() string {
	return "whitelist"
}
