package entity

type UserListReq struct {
	Page     int    `json:"page"`
	Size     int    `json:"size"`
	UserName string `json:"user_name"` // 用户名
	NickName string `json:"nick_name"` // 昵称
}

type UserListResp struct {
	Details []*UserListDetail `json:"details"`
	Total   int64             `json:"total"`
}

type UserListDetail struct {
	// TODO UserListDetail 用户统计数据详情
}

type TurntableReq struct {
	Page     int    `json:"page"`
	Size     int    `json:"size"`
	UserName string `json:"user_name"` // 用户名
	NickName string `json:"nick_name"` // 昵称
}

type TurntableResp struct {
	Details []*TurntableDetail `json:"details"`
	Total   int64              `json:"total"`
}

type TurntableDetail struct {
	// TODO TurntableDetail 转盘统计数据详情
}

type AssetsReq struct {
	Page     int    `json:"page"`
	Size     int    `json:"size"`
	UserName string `json:"user_name"` // 用户名
	NickName string `json:"nick_name"` // 昵称
}

type AssetsResp struct {
	Details []*AssetsDetail `json:"details"`
	Total   int64           `json:"total"`
}

type AssetsDetail struct {
	// TODO AssetsDetail 资产统计数据详情
}

type InviteReq struct {
	Page     int    `json:"page"`
	Size     int    `json:"size"`
	UserName string `json:"user_name"` // 用户名
	NickName string `json:"nick_name"` // 昵称
}

type InviteResp struct {
	Details []*InviteDetail `json:"details"`
	Total   int64           `json:"total"`
}

type InviteDetail struct {
	// TODO InviteDetail 邀请统计数据详情
}
