package entity

type UserCountryResp struct {
	Details []*UserCountryDetail `json:"details"`
}

type UserCountryDetail struct {
	Country    string  `json:"country"`    // 国家
	IPCount    int     `json:"ip_count"`   // IP数量
	Percentage float64 `json:"percentage"` // 百分比
}
type UserCountryReq struct {
}

type PlayerCountryStat struct {
	Daily                 int64          `bson:"daily" json:"daily"`                                 // 日期
	Platform              string         `bson:"platform"  json:"platform"`                          // platform: 用户所在的平台，例如“Android”或“IOS”
	Channel               string         `bson:"channel" json:"channel"`                             // channel: 用户来源渠道
	PlayerRegisterCountry map[string]int `bson:"playerRegisterCountry" json:"playerRegisterCountry"` // playerRegisterCountry 玩家注册国家
	UpdateTime            int64          `bson:"updateTime" json:"updateTime"`
}
