package entity

import "github.com/mhaya/game/game_cluster/internal/mdb/models"

type WhitelistListReq struct {
	Page int    `json:"page" binding:"required"`
	Size int    `json:"size" binding:"required"`
	IP   string `json:"ip"`
}

type WhitelistListResp struct {
	Details []models.Whitelist `json:"details"`
	Total   int64              `json:"total"`
}

type WhitelistAddReq struct {
	IP   string `json:"ip" binding:"required"`
	Desc string `json:"desc"`
}

type WhitelistRemoveReq struct {
	IP string `json:"ip" binding:"required"`
}
